Groovy 1.7.0

## groovy.ui.text
Class TextUndoManager.StructuredEdit

    java.lang.Object
      javax.swing.undo.AbstractUndoableEdit
          javax.swing.undo.CompoundEdit
              groovy.ui.text.TextUndoManager.StructuredEdit

    class TextUndoManager.StructuredEdit
    extends CompoundEdit

Constructor Summary
`TextUndoManager.StructuredEdit()`

Method Summary
`boolean` | `addEdit(UndoableEdit edit)`
`boolean` | `canUndo()`
`protected long` | `editedTime()`
`boolean` | `isInProgress()`

Methods inherited from class CompoundEdit
toString, end, addEdit, canRedo, canUndo, die, getPresentationName, getRedoPresentationName, getUndoPresentationName, isInProgress, isSignificant, redo, undo, replaceEdit, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class AbstractUndoableEdit
toString, addEdit, canRedo, canUndo, die, getPresentationName, getRedoPresentationName, getUndoPresentationName, isSignificant, redo, replaceEdit, undo, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### TextUndoManager.StructuredEdit

    TextUndoManager.StructuredEdit()

Method Detail

### addEdit

    public boolean addEdit(UndoableEdit edit)

### canUndo

    public boolean canUndo()

### editedTime

    protected long editedTime()

### isInProgress

    public boolean isInProgress()

Copyright © 2003-2009 The Codehaus. All rights reserved.